<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
	
		<? 
		exit();
		}
setlocale(LC_MONETARY, 'es_CL');
$id_empresa = $_SESSION['ss_empresa'];          // **************  03/08/13 ****** Edicion **********
$id_user = $_SESSION['ss_user'];                // **************   30/11/15 **** Bloqueos
 
$lstpago=2;
$id_autoriza=45;

$totalkilos=0;
$txtst=0;
$pronto=0;
$desc_pronto=0;
$totales=0;
$despacho="";
$orden="";
$lineas="";
$datos = Array();
$fila = Array();

/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>NV_win8phone</title>
		
<style type="text/css"> 

table.dataTable {
				width: 100%; /* Optional */
				/* border-collapse: collapse; */
				border-spacing: 0;
				border: 2px solid black;
				}

table.dataTable tbody,
table.dataTable thead { display: block; }



table.dataTable tbody {
    height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
}

<!-- CSS DE LA VISTA PREVIA -->

.modalmask {
	position: fixed;
	font-family: Arial, sans-serif;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}
.modalmask:target {
	opacity:1;
	pointer-events: auto;
}
.modalbox{
	width: 400px;
	position: relative;
	padding: 5px 20px 13px 20px;
	background: #fff;
	border-radius:3px;
	-webkit-transition: all 500ms ease-in;
	-moz-transition: all 500ms ease-in;
	transition: all 500ms ease-in;
	
}

.movedown {
	margin: 0 auto;
}

.modalmask:target .movedown{		
	margin:10% auto;
}
.modalmask:target .rotate{		
	transform: rotate(360deg) scale(1,1);
    -webkit-transform: rotate(360deg) scale(1,1);
}

.modalmask:target .resize{
	width:400px;
	height:200px;
}



.close {
	background: #606061;
	color: #FFFFFF;
	line-height: 25px;
	position: absolute;
	right: 1px;
	text-align: center;
	top: 1px;
	width: 24px;
	text-decoration: none;
	font-weight: bold;
	border-radius:3px;
	font-size:16px;
}

.close:hover { 
	background: #FAAC58; 
	color:#222;
}


</style> 		
		
		<script>
			/*	 
				// Change the selector if needed
				var $table = $('table.dataTable'),
					$bodyCells = $table.find('tbody tr:first').children(),
					colWidth;

				// Adjust the width of thead cells when window resizes
				$(window).resize(function() {
					// Get the tbody columns width array
					colWidth = $bodyCells.map(function() {
						return $(this).width();
					}).get();
					
					// Set the width of thead columns
					$table.find('thead tr').children().each(function(i, v) {
						$(v).width(colWidth[i]);
					});    
				}).resize(); // Trigger resize handler
				*/		
		</script>


</head>
<form id="form1" name="form1" method="post" action="guarda.php" target="_self">

<?
/*********************** Datos cliente ******/

$rut_cliente_cod=$_GET["id"];
		
/********************** Condicion cliente ******/	

$sql_bc = "SELECT rut FROM sucursales WHERE id = $rut_cliente_cod";
	$res_bc = mysql_query($sql_bc,$enlace);
	$rut_cliente_buscar = mysql_result($res_bc, 0, "rut");

//**************  Datos cliente status  **********
 $cont=0;
$sql_bc = "SELECT * FROM nombres WHERE nombres.rut = '$rut_cliente_buscar'";
	$res_bc = mysql_query($sql_bc,$enlace);
	if(mysql_fetch_object($res_bc))
		{
		$bc_bloqueada = mysql_result($res_bc, $cont, "nombres.bloqueada");
		$bc_ctacte = mysql_result($res_bc, $cont, "nombres.ctacte");
		$txtmontoctacte = mysql_result($res_bc, $cont, "nombres.monto_credito");
		$bc_dias_plazo = mysql_result($res_bc, $cont, "nombres.dias_plazo");
		$id_segmento_cliente = mysql_result($res_bc, $cont, "id_segmento");	
		$nombre = mysql_result($res_bc, $cont, "nombres.razon_social");
		}		
		
// fecha hoy
		$unixtime = time();
		$settime = $unixtime;
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha= $mi_ano."-".$mi_mes."-".$mi_dia;    //  hoy
	
//  **************  Revisa existencia de actividad de DESCUENTO ******************************
$descuento_cliente='N';
 $id_segmento= '';
$cont=0;
    $sql_bc = "SELECT * FROM descuentos WHERE  fecha_inicio<='$fecha' AND fecha_final>='$fecha'";
	$res_bc = mysql_query($sql_bc,$enlace);
	while (mysql_fetch_object ($res_bc))
	 {
	 $id_segmento= mysql_result($res_bc, $cont, "id_segmento");
	 $cont+=1;
     }
if ($cont!=0)	  //*******  existe DESCUENTO
   {
		
//  ***  Revisa existencia Lista DESCUENTO Clientes Individual manda ****

        
           //  ***  Existe Lista Descuento Clientes **** ver si el cliente esta en la lista.   
			$cont=0;
			$sql_bc = "SELECT descuento FROM descuentos, descuentos_clientes WHERE  id_descuento=descuentos.id AND fecha_inicio<='$fecha' AND fecha_final>='$fecha' AND rut = '$rut_cliente_buscar'";
			$res_bc = mysql_query($sql_bc,$enlace);
			while (mysql_fetch_object ($res_bc))
	 		{
			 $descuento_cliente= mysql_result($res_bc, $cont, "descuento");
	 		$cont+=1;
     		}
		
		 //  ***  Existe Descuento Clientes por segmento **** .  
	if  ($descuento_cliente=='N')  
	   {  
			$cont=0;
			$sql_bc = "SELECT descuento FROM descuentos, descuentos_clientes WHERE  id_descuento=descuentos.id AND fecha_inicio<='$fecha' AND fecha_final>='$fecha' AND rut = '$id_segmento_cliente'";
			$res_bc = mysql_query($sql_bc,$enlace);
			while (mysql_fetch_object ($res_bc))
	 		{
		     $descuento_cliente= mysql_result($res_bc, $cont, "descuento");
	 		$cont+=1;
     		}
		}
		
				   
		   // de aqui sale $descuento_cliente=>0   por cliente individual o por segmento
        //******* fin  existe lista descuento clientes
     if  ($descuento_cliente=='N')       // veo si existe actividad DESCUENTO pero en producto.
        {   
			
			if ($id_segmento==0 || $id_segmento==$id_segmento_cliente)  	$descuento_cliente='S';	
		} 	
	          //*******  fin existe descuento
	}    //*******  NO existe  actividad DESCUENTO
	


//  **************  Datos cliente status  **********	
 if ($bc_bloqueada=='True')
	 {
	 ?>
	  <script languaje="javascript">
	 alert("Cliente Bloqueado");
	  parent.location.href = 'index.php';
	  </script>
	 <?	
	 }
	
	 
//  **************  Monto de Credito **********
$cta_cte = 0;
	$sqldcto = "select  sum(total-pagada) as monto FROM salida WHERE tipo_pago=3 AND (tipo_dcto=2 OR tipo_dcto=33) AND rut_cliente='$rut_cliente_buscar'";
		 $resdcto = mysql_query($sqldcto,$enlace);	
		   if (mysql_fetch_object ($resdcto))
			{
			$cta_cte = mysql_result($resdcto, 0, "monto");		
			}	
		if($cta_cte == '') $cta_cte = 0;	
			
	                     ///  agregar los $cheque
						 
		if (($txtmontoctacte-$cta_cte)<0) 
		{
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por Monto de Credito");
	   parent.location.href = 'index.php';
	   	</script>
		<?
         }
	
	
		
//  **************  busca ventas del mes   *********
  $ventas=0;
	$sqldcto = "select  sum(total) as monto FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND (tipo_dcto=2 OR tipo_dcto=33) AND extract(month from fecha_emision)='$mi_mes' AND extract(year from fecha_emision)='$mi_ano'";
		 $resdcto = mysql_query($sqldcto,$enlace);	
		   if (mysql_fetch_object ($resdcto))
		{ $ventas = mysql_result($resdcto, 0, "monto");	}	
		
//  **************  busca facturas pendientes  plazo vencido**********
if ($cta_cte!=0)
     {  $x=0;
	$sqldcto = "select  * FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND tipo_pago=3 AND (tipo_dcto=2 OR tipo_dcto=33) AND total-pagada<>0 AND fecha_vencimiento < '$fecha'";
		  $resdcto = mysql_query($sqldcto,$enlace);	
		 if (mysql_fetch_object ($resdcto))
			{	$x=1;			}
		}	
		if ($x==1) 
		{
		$bc_bloqueada='True';		  
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por facturas pendientes");
	  parent.location.href = 'index.php';
	 	</script>
		<?
		}

	
//  **************  busca facturas pendientes  plazo vencido  mas de 60 dias **********
if ($cta_cte!=0)
     {  $x=0;
	 // fecha a 45 dias
		$unixtime = time();
		$settime = $unixtime - ( 86400*$bc_dias_plazo*1);
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha45= $mi_ano."-".$mi_mes."-".$mi_dia;    //  a dias de plazo del cliente	
	$sqldcto = "select  * FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND tipo_pago=3 AND (tipo_dcto=2 OR tipo_dcto=33) AND total-pagada<>0 AND fecha_emision < '$fecha45'";
		  $resdcto = mysql_query($sqldcto,$enlace);	
		 if (mysql_fetch_object ($resdcto))
			{	$x=1;			}
			
		if ($x==1) 
		{
		$bc_bloqueada='True';		 	
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por facturas pendientes plazo excedido");
	 parent.location.href = 'index.php';
	 	</script>
		<?
		}
      }

//  **************				
//$id_bodega=$_POST["id_bodega"];
//$id_vendedor=$_POST["id_vendedor"];

//******************************** Datos Empresa ******** seleccionar cual empresa  es el ingreso  en sesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	
		$empresa_nombre=mysql_result($res_empresa, 0, "nombre");

//*************************** Busca numero documento *******************************************/	

	$sql_par = "SELECT correlativo FROM tipo_dcto_num_bodega  WHERE id_bodega = $id_bodega AND id_dcto=3";
	$res_par = mysql_query($sql_par,$enlace);	
	
		$txtndcto=mysql_result($res_par, 0, "correlativo");
		$txtndcto+=1;
	
//*************************** fecha y hora ******************************************/	
		 $fecha = date("d")."/".date("m")."/".date("Y");
    	 $hora = date('H:i:s');
		 $fecha_dia = date("Y")."/".date("m")."/".date("d");  
/***************** sacar valor de Pronto Pago ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'PRONTO PAGO'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$par_pronto=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}
		 
?>



<table class="nada" width="924" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
  
    <td width="65"><div align="center"><img src="../Images/logo.gif" width="50px" height="50px"></div></td>
	<td width="131"><div align="left"><font size="1"> <?=$empresa_nombre?> </font></div>	</td>
    <td width="137"> <div align="center"> Nota Venta N&ordm; <?=$txtndcto;?>   </div>   </td>
    <td width="183"> <div align="center"> Fecha:<?=$fecha;?> <?=$hora;?>   </div>     </td>
    <td width="196"><div align="center">Bodega <input name="bodega" id="bodega" type="text" value="<?=$bodega;?>" size="5"  /></div> </td>
    <td width="212"> <div align="center"> Vendedor: <?=$vende;?>   </div>   </td>
  </tr>
</table>

<table width="803" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
  <td width="352" align="center">
      <input name="lstclientenombre" id="lstclientenombre" type="text" style="width:350px" value="<?=$nombre?>"  >     </td>  
    <td width="49">VtaMes</td>
	 <td width="89" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
      <input name="ventas" id="ventas" type="text"  readonly="1" size="8" value="<?=$ventas?>" style="text-align:right;font-size:14px;width:98%"></font></strong></td>
      
  
        
      <td width="41">Desc</td>
	  <td width="33">
      <input name="descuento_cliente" id="descuento_cliente" type="text"  readonly="1" size="2" value="<?=$descuento_cliente?>"/>	  </td>
     
  
    <td width="239" align="center">Editar<?
			$sql_umed ="SELECT id, num_dcto, rut_cliente  FROM salida WHERE tipo_dcto=3 AND documento_control is Null AND vendedor=$id_vendedor AND rut_cliente<>'00.000.000-0' ORDER BY num_dcto ASC";
			$res_umed = mysql_query($sql_umed,$enlace);
			$contb=0;
			?>
      <select name="id_nota" id="id_nota" style="width:120px" onChange="fun_editar();" >
        <option value="0" selected="selected">Notas</option>
        <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $contb, "id");
				$sql_umed_nom = mysql_result($res_umed, $contb, "num_dcto");
				$sql_umed_suc = mysql_result($res_umed, $contb, "rut_cliente");
			?>
        <option value="<?=$sql_umed_cod?>"><? echo $sql_umed_nom.'   '.$sql_umed_suc;?></option>
        <?
				$contb = $contb+1;
			}
			?>
      </select></td>       
         
          
  </tr>
 </table>
<table border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
  
   <td width="44">Codigo</td>
	  <td width="39">
      <input name="busca" id="busca" type="text"   size="10"/>	  </td>    
      <td width="38">Canti</td>
	  <td width="27">
      <input name="canti" id="canti" type="text"  size="4" onChange="fun_busca();" /> 	  </td>
       <td width="100" align="center">	<input type="button" name="ok" value="OK" onClick="fun_busca();"> </td>
     <td width="36"><div align="left">Total </div></td>
    <td width="144" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="totalex" id="totalex" type="text" value="<?=$totales;?>" style="text-align:center;font-size:14px;width:98%">
	  </font></strong></td>
      <td width="100" align="center">	<input type="button" name="Guardar" value="Guardar NV" onClick="fun_guardar();"> </td>
   </tr>
   <tr>
   <td>BUSCAR</td>
   <td><input name="busca_producto" id="busca_producto" type="text" /></td> 
   <td><input type="button" name="Siguiente" value="Siguiente" onClick="fun_BusProducto();"> </td>
   </tr>
 </table>

        

<? 
$totalkilos=0;
$txtst=0;
$pronto=0;
$desc_pronto=0;
$totales=0;
          $sql_pro = "select codigo, descripcion, precio, saldo, peso FROM productos WHERE saldo>0 AND empresa=$id_empresa AND cod_familia<>14 AND activo=1 ORDER BY descripcion ASC";
		  	$res_pro = mysql_query($sql_pro,$enlace);	
			$cant=0;
			$con=0;
	while (mysql_fetch_object ($res_pro))
	{
    $codigo_busca= mysql_result($res_pro, $cant, "codigo");
	$saldo=mysql_result($res_pro, $cant, "saldo");
	
 // if ($saldo>0)
 // { 
	$cantidad[$con] ='';
	$codigo[$con] = mysql_result($res_pro, $cant, "codigo");
	$auxsaldo[$con] = $saldo;   //mysql_result($res_pro, $cant, "saldo");
	$peso[$con] = mysql_result($res_pro, $cant, "peso");
	
	$detalle[$con] = mysql_result($res_pro, $cant, "descripcion");
	$desc[$con] = 0;
	$precio[$con] = mysql_result($res_pro, $cant, "precio");
	$total[$con] =0;
	$precioconiva[$con] =0;
	$iva=1.19;
	//  ***********  
	        $cont=0;
			 $desc_oferta[$con]=0;
			$sql_bc = "SELECT descuento FROM descuentos, descuentos_productos WHERE  id_descuento=descuentos.id AND fecha_inicio<='$fecha_dia' AND fecha_final>='$fecha_dia' AND id_producto=$codigo[$con]";
			$res_bc = mysql_query($sql_bc,$enlace);
			while (mysql_fetch_object ($res_bc))
	 		{
			 $desc_oferta[$con] = (1- (  (1-$desc_oferta[$con]/100) * (1-mysql_result($res_bc, $cont, "descuento")/100) ))  * 100;
	 		$cont+=1;
     		}	   
			
	//  *********** 		
	
	?>
	<table class="dataTable" id="dataTable">
	<thead>
	<tr>
	<th style="width:3%">Cant.</th>
	<th style="width:5%">Saldo</th>
    <th style="width:5%">Peso</th>
    <th style="width:7%">Codigo</th>
	<th style="width:44%">Detalle</th>
	<th style="width:9%">Neto</th>
	<th style="width:10%; text-align:center">Precio</th>
    <th style="width:7%">Desc</th>
    <th style="width:10%">Total</th>
    <th style="width:1%">&nbsp;</th>
	</tr>
	</thead>
	
	<tbody>
	<?
	//$contador=0;
	$fila = mysql_fetch_assoc($res_pro);
	mysql_data_seek($res_pro, 0);

	while ($fila = mysql_fetch_assoc($res_pro)) {
	 $datos[] = $fila;
	//$contador++;
	 } 	
			for($i=0;$i<count($datos);$i++) {
							?>
   <tr onClick="pulsar(this)"> 
   <td width="3%">
   <input style="width:70%" name="cantidad[<?=$i;?>]" id="cantidad[<?=$i;?>]" type="text" value=""  onKeyPress="return validanum2(event,'<?=$con;?>')" onBlur="calculo('<?=$i;?>');" >        
   </td>
   
   <td width="5%">
   <input style="width:80%; text-align:right" name="auxsaldo[<?=$i;?>]" readonly="1" id="auxsaldo[<?=$i;?>]" value="<?=$datos[$i]["saldo"];?>" />
   </td>
   
   <td width="5%">
   <input style="width:80%; text-align:right" name="peso[<?=$i;?>]" readonly="1" id="peso[<?=$i;?>]"  value="<?=$datos[$i]["peso"];?>" />
   </td>
      
   <td width="7%">
   <input style="width:80%; text-align:center" id="codigo[<?=$i;?>]" name="codigo[<?=$i;?>]" value="<?=$datos[$i]["codigo"];?>" />
   </td>
   
   <td width="44%">
   <div align="left" id="detalle[<?=$i;?>]"><?=$datos[$i]["descripcion"];?></div>
   </td>
   
   <td width="9%"> 
   <input style="width:75%; text-align:right" name="precio[<?=$i;?>]" readonly="1" id="precio[<?=$i;?>]" value="<?=$datos[$i]["precio"];?>" />
   </td>

   <td width="10%">
   <input style="width:80%; text-align:right" name="precioconiva[<?=$i;?>]" id="precioconiva[<?=$i;?>]" type="text" value="<?=round($datos[$i]["precio"]*$iva);?>"  readonly="1" />
   </td>   
 
   <td width="7%">
   <input style="width:80%; text-align:right" name="desc[<?=$i;?>]"  id="desc[<?=$i;?>]" type="text" value="<?=$desc[$con];?>"  onBlur="modifica_desc('<?=$con;?>');" readonly="1" />
   </td>
   
   <td width="10%">
   <input style="width:80%; text-align:right" name="total[<?=$i;?>]" id="total[<?=$i;?>]" type="text" value="<?=$total[$con];?>"  readonly="1" />
   </td>
   
   <td width="1%">		  	
   <input style="width:1%; visibility:hidden"name="desc_oferta[<?=$con;?>]" id="desc_oferta[<?=$con;?>]" type="text" value="<?=$desc_oferta[$con];?>"  readonly="1"  />
   </td>	
   </tr>    
   
   
   </tr>      
	<?php 
			}
		?>
</tbody>
</table>
	<? 
	$con+=1;
//	}
	$cant+=1;
	}
	?>
	<table>
    <tr>    	
   <td>Total</td>
	  <td> kilos</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="totalkilos" id="totalkilos" type="text" value="<?=$totalkilos;?>" style="text-align:center;width:95%" />
	  </font></strong></td>
       <td><div align="center"><strong>ORDEN COMPRA<font color="#333333" face="Arial, Helvetica, sans-serif">
       <input name="orden" id="orden" type="text" value="<?=$orden;?>"  style="text-align:center;width:70%" >        
	</font></strong></div></td>
     <td ><div align="center"><strong>DESPACHAR<font color="#333333" face="Arial, Helvetica, sans-serif">
       <input name="despacho" id="despacho" type="text" value="<?=$despacho;?>"  style="text-align:center;width:90%" >   
	</font></strong></div></td>
       
       <td>&nbsp;</td>
	  <td><div align="left">Sub Total</div></td>
    <td width="14%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="txtst" id="txtst" type="text" value="<?=$txtst;?>" style="text-align:center;font-size:14px;width:98%">
		</font></strong></td>
	</tr>
<tr>
   <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
       <td>&nbsp;</td>
        <td width="42%"><div align="right"><strong>Pronto Pago <font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="pronto" id="pronto" type="text" value="<?=$pronto;?>"  style="text-align:center;width:10%" onBlur="modifica_desc_pronto();" >        
	</font></strong></div></td>
       <td>&nbsp;</td>
	  <td><div align="left">Descuento</div></td>
    <td width="24%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="desc_pronto" id="desc_pronto" type="text" value="<?=$desc_pronto;?>" style="text-align:center;font-size:14px;width:98%">
		</font></strong></td>
	</tr>
<tr>
   <td>Lineas  </td>
	  <td><input name="lineas" id="lineas" type="text" value="<?=$lineas;?>" style="text-align:center;font-size:14px;width:98%"></td>
	  <td>&nbsp;</td>
      <td>&nbsp;</td>
        <td width="42%"><div align="right"><strong>Total Con IVA: <font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="totalesciva" id="totalesciva" type="text"   style="text-align:center;width:10%" > </font></strong></div></td> 
     
       <td>&nbsp;</td>
	  <td><div align="left">Total Neto</div></td>
    <td width="14%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="totales" id="totales" type="text" value="<?=$totales;?>" style="text-align:center;font-size:14px;width:98%">
		</font></strong></td>
	</tr>

    </table>
    
<table width="100" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
	  <td width="35%">&nbsp;</td>
	    <td width="10%" align="center"> <input type="button" name="VistaPrevia" value="Vista Previa" onClick="mostrarVentana()" /> </td>
		<td width="10%" align="center">	<input type="button" name="Guardar" value="Guardar" onClick="fun_guardar();" /> </td>
        <td width="10%" align="center">	<input type="button" name="Nuevo" value="Nuevo" onClick="fun_nuevo();" /></td>
        <td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();" /></td>
		<td width="35%">&nbsp;</td>
    </tr>
</table>


<input name="cnt" type="text" id="cnt" value="<?=count($datos);?>" style="visibility:hidden" size="1" />
<input name="txtndcto" type="text" id="txtndcto" value="<?=$txtndcto;?>" style="visibility:hidden" size="1" />
<input name="id_vendedor" type="text" id="id_vendedor" value="<?=$id_vendedor;?>" style="visibility:hidden" size="1" />
<input name="id_bodega" id="id_bodega" type="text" value="<?=$id_bodega;?>" style="visibility:hidden"  size="1"  />
<input name="fecha" type="text" id="fecha" value="<?=$fecha;?>" style="visibility:hidden" size="1" />
<input name="fecha2" type="text" id="fecha2" value="<?=$fecha;?>" style="visibility:hidden" size="1" />
<input name="hora" type="text" id="hora" value="<?=$hora;?>" style="visibility:hidden" size="1" />
<input name="txtdiasplazo" type="text" id="txtdiasplazo" style="visibility:hidden" size="1" />
<input name="lstpago" type="text" id="lstpago" value="<?=$lstpago;?>" style="visibility:hidden" size="1" />
<input name="rut_cliente_cod" type="text" id="rut_cliente_cod" value="<?=$rut_cliente_cod;?>" style="visibility:hidden" size="1" />

<div id="vistaPrevia" style="position: fixed; width: 530px; height: 450px; top: 0; left: 0; font-family:Verdana, Arial, Helvetica, sans-serif; font-size: 12px; font-weight: normal; border: #333333 3px solid; background-color: #FAFAFA; color: #000000; display:none;">
 <div style="font-weight: bold; text-align: left; color: #FFFFFF; padding: 5px; background-color:#006394">Vista Previa</div>

 <div style="padding: 10px; background-color: #F0F0F0; text-align: center; margin-top: 44px;"><input id="btnAceptar" onClick="ocultarVentana();" name="btnAceptar" size="20" type="button" value="Aceptar" />
 </div>
</div> 

</form>
</body>
</html>


<script language="Javascript">
<!--
var nav4 = window.Event ? true : false;

var formatNumber = {
 separador: ".", // separador para los miles
 sepDecimal: ',', // separador para los decimales
 formatear:function (num){
  num +='';
  var splitStr = num.split('.');
  var splitLeft = splitStr[0];
  var splitRight = splitStr.length > 1 ? this.sepDecimal + splitStr[1] : '';
  var regx = /(\d+)(\d{3})/;
  while (regx.test(splitLeft)) {
  splitLeft = splitLeft.replace(regx, '$1' + this.separador + '$2');
  }
  return this.simbol + splitLeft  +splitRight;
 },
 new:function(num, simbol){
  this.simbol = simbol ||'';
  return this.formatear(num);
 }
}

function validanum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
function validanum2(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57) || key==46);
	}
function vnum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
	
var fila = null;
	
function pulsar(obj) {
	
	obj.style.background = '#DDDDDD';
	if (fila != null && fila != obj)
		fila.style.background = 'white';
	fila = obj;
	}
	
function mostrarVentana()
{
    var ventana = document.getElementById('vistaPrevia'); // Accedemos al contenedor
    ventana.style.marginTop = "100px"; // Definimos su posición vertical. La ponemos fija para simplificar el código
    ventana.style.marginLeft = ((document.body.clientWidth-530) / 2) +  "px"; // Definimos su posición horizontal
    ventana.style.display = 'block'; // Y lo hacemos visible

	var limp = document.getElementById("vistaPrevia");
	while (limp.hasChildNodes())
		{
		limp.removeChild(limp.firstChild);	
		}
	
	var tabla   = document.createElement("table");
	ventana.appendChild(tabla);
	var tblBody = document.createElement("tbody");
	tblBody.setAttribute("id", "tab");
	tabla.appendChild(tblBody);
	
	var hilera = document.createElement("tr");
	ventana.appendChild(hilera);
	
	var celda = document.createElement("th");
	var canti = "Cantidad";
	var textoCelda = document.createTextNode(canti);
	celda.appendChild(textoCelda);
	celda.setAttribute("align", "center");
	hilera.appendChild(celda);
	
	var celda = document.createElement("th");
	var Cod = "Codigo";
	var textoCelda = document.createTextNode(Cod);
	celda.appendChild(textoCelda);
	celda.setAttribute("align", "center");
	hilera.appendChild(celda);
	
	var celda = document.createElement("th");
	var det = "Detalle";
	var textoCelda = document.createTextNode(det);
	celda.appendChild(textoCelda);
	celda.setAttribute("align", "center");
	hilera.appendChild(celda);
	
	var celda = document.createElement("th");
	var tot = "Total Linea";
	var textoCelda = document.createTextNode(tot);
	celda.appendChild(textoCelda);
	celda.setAttribute("align", "center");
	hilera.appendChild(celda);
	
	tblBody.appendChild(hilera);

	for (var i=0; i< <?=count($datos)?>; i++)
	{
	if (document.getElementById("cantidad["+i+"]").value >0 && document.getElementById("cantidad["+i+"]").value != '' )
		{
		// Crea las hileras de la tabla
		var hilera = document.createElement("tr");
		ventana.appendChild(hilera);
	 
		for (var j = 0; j < 4; j++) {
		  // Crea un elemento <td> y un nodo de texto, haz que el nodo de
		  // texto sea el contenido de <td>, ubica el elemento <td> al final
		  // de la hilera de la tabla
		  if (j===0){
		  var celda = document.createElement("td");
		  var canti = document.getElementById("cantidad["+i+"]").value;
		  var textoCelda = document.createTextNode(canti);
		  celda.appendChild(textoCelda);
		  celda.setAttribute("align", "center");
		  hilera.appendChild(celda);
		  }
		  if (j===1){
		  var celda = document.createElement("td");
		  var canti = document.getElementById("codigo["+i+"]").value;
		  var textoCelda = document.createTextNode(canti);
		  celda.appendChild(textoCelda);
		  celda.setAttribute("align", "center");
		  hilera.appendChild(celda);
		  }
		  if (j===2){
		  var celda = document.createElement("td");
		  var canti = document.getElementById("detalle["+i+"]").innerText;
		  var textoCelda = document.createTextNode(canti);
		  celda.appendChild(textoCelda);
		  celda.setAttribute("align", "center");
		  hilera.appendChild(celda);
		  }
		  if (j===3){
		  var celda = document.createElement("td");
		  var canti = document.getElementById("total["+i+"]").value;
		  var textoCelda = document.createTextNode(canti);
		  celda.appendChild(textoCelda);
		  celda.setAttribute("align", "right");
		  hilera.appendChild(celda);
		  }
		}
	 
		// agrega la hilera al final de la tabla (al final del elemento tblbody)
		tblBody.appendChild(hilera);
		}
	}
	var contenedor_boton = document.createElement("div");
	contenedor_boton.setAttribute("align", "center");
	var boton = document.createElement("button");
	var salto = document.createElement("br");
	boton.type = "button";
	boton.setAttribute("id", "btnAceptar");
	boton.setAttribute("onClick", "ocultarVentana()");
	boton.innerHTML  = "Aceptar";
	contenedor_boton.appendChild(boton);
	ventana.appendChild(salto);
	ventana.appendChild(contenedor_boton);
	tabla.setAttribute("border", "2");
}

function ocultarVentana()
{
    var ventana = document.getElementById('vistaPrevia'); // Accedemos al contenedor
    ventana.style.display = 'none'; // Y lo hacemos invisible
}
	
function fun_BusProducto() {
				
				var codigo;
				var encontrado = false;
				var tabla = document.getElementById('dataTable');
                var texto_busca = document.getElementById('busca_producto').value.toLowerCase();
				var x = texto_busca.length;
				for (var i = 1; i < <?=count($datos)?> && !encontrado; i++) 
					{
						var celdas = tabla.rows[i].getElementsByTagName('td');
						for (var j = 4; j < 5 && !encontrado; j++) {
								var compara = celdas[j].innerText.toLowerCase();
								compara = compara.substring(0,x);
								if (texto_busca.length == 0 || (compara.indexOf(texto_busca) > -1)) {
									encontrado = true;
									codigo = celdas[3].innerText;
								}
							}
						if (encontrado) {
							//document.getElementById("busca").value=codigo;
							//document.getElementById("canti").focus();
							i=i-1;
							document.getElementById("cantidad["+i+"]").focus();
							document.getElementById("cantidad["+i+"]").click();
							tabla.rows[i].style.display = '';
						} else {
							tabla.rows[i].style.display = 'nada';
							}
						
					}		
				}
function fun_busca()
	{	
	var i,bus
	bus=document.getElementById("busca").value;
   // alert(document.getElementById("codigo["+1+"]").innerText);
	 for (i=0; i< <?=count($datos)?>; i++) 
	  {
	  
	   if (document.getElementById("codigo["+i+"]").value==bus)
	    { 
	     document.getElementById("cantidad["+i+"]").value=document.getElementById("canti").value;
	     calculo(i) 
	    }
	 
	  }
	  document.getElementById("busca").value='';
	  document.getElementById("canti").value='';
	  document.getElementById("busca").focus();
	}					
function fun_salir()
	{		
		parent.location.href = '../index.php';
	}
function fun_nuevo()
	{	
	
       parent.location.href = 'index.php';
	  		
	}	


function fun_guardar()
		
	{ var con=<?=count($datos)?>;
	
	if (con!=0)
		{	
		
	var jsi,jsf;
	jsf=0;
	for (jsi=0;jsi<con;jsi++)
		{
		if (document.getElementById("cantidad["+jsi+"]").value!='')
			{
			jsf+=1;
			}
		}
		if (jsf==0)
		   {alert ("Vender Productos");
		return false;
		   }
		
		//document.form1.action="guarda.php?cnt="+con;
	//document.form1.target="_blank";
	document.form1.submit();
				
	}
  }
  
function calculo(donde)
	{
	var cantidad, kilos, precio, desc, peso, total, tkilos, stot, i, totaluno, totaltot, j, f1, f2, letra, result,jsi, jsuser, lineas;
	
	precio = document.getElementById("precio["+donde+"]").value;
	//precio = precio.replace("$", "");
	//precio = precio.replace(".", "");
	
	//alert(precio);
	if (Number(document.getElementById("auxsaldo["+donde+"]").value)<Number(document.getElementById("cantidad["+donde+"]").value))
		{
	alert("La cantidad ingresada es mayor al saldo existente\n Saldo: "+document.getElementById("auxsaldo["+donde+"]").value);
		document.getElementById("cantidad["+donde+"]").value='';
	document.getElementById("cantidad["+donde+"]").focus();
		}
	cantidad = document.getElementById("cantidad["+donde+"]").value;
	
	
	
	if (cantidad!='' )
		{
	
		if (cantidad >= 0 && precio >0)
			{
			fun_desc(donde);
		 
			desc=document.getElementById("desc["+donde+"]").value;
			result=Number(cantidad)*Number(precio)*(1-Number(desc)/100);
				
				if ( (result - parseInt(result)) >=.45 )
					{ result = parseInt(result) + 1 ; }
				 else
		 			{ result = parseInt(result); }
		
				
				document.getElementById("total["+donde+"]").value=result;
							
			lineas = 0;
			total  = 0;
			tkilos = 0;	
			for (i=0; i< <?=count($datos)?>; i++)
				{ kilos=0;
				//aca es donde estoy editando
				if (document.getElementById("cantidad["+i+"]") != null)
				{
				if (document.getElementById("cantidad["+i+"]").value!='' && document.getElementById("cantidad["+i+"]").value>0)
				{
				cantidad=Number(document.getElementById("cantidad["+i+"]").value);
				//le quito el formato de moneda para hacer calculos a los totales
				//var quita_formato_total = document.getElementById("total["+i+"]").value;
				//quita_formato_total = quita_formato_total.replace("$", "");
				//quita_formato_total = quita_formato_total.replace(".", "");
				//document.getElementById("total["+i+"]").value = (quita_formato_total);
				
				stot=document.getElementById("total["+i+"]").value;
				peso=Number(document.getElementById("peso["+i+"]").value);
				
				//le vuelvo a dar formato de moneda a los totales
				//document.getElementById("total["+i+"]").value = formatNumber.new(document.getElementById("total["+i+"]").value, "$");
				
				if (cantidad>=0 && peso>=0) kilos=cantidad*peso;
				
				 if (cantidad>0) lineas+=1;
				  
				if (stot>0)
					{
					total=Number(total) + Number(stot);
					}
				if (kilos>0)
					{
					tkilos=Number(tkilos) + Number(kilos);					
					}	
				}
				}
				
				}
				document.form1.txtst.value=total;
				document.form1.pronto.value=0;
				document.form1.desc_pronto.value=0;
				document.form1.totalex.value=total;
				document.form1.totales.value=total;
				document.form1.totalesciva.value=(total*1.19).toFixed(0);
			    document.form1.totalkilos.value=tkilos;
				document.form1.lineas.value=lineas;
				
				if (lineas>14)
				{alert("La cantidad de lineas es la de facturacion cerrar NV y generar otra..lineas "+document.getElementById("lineas").value);
				}
							
			}
		
		}

	
	}
		

		
	
function fun_desc(donde)
	{ /*		
  document.getElementById("desc["+donde+"]").value=0;
  if ((document.getElementById("descuento_cliente").value)!='N')  
	{
	if ((document.getElementById("descuento_cliente").value)=='S')     
		{  
	   if ((document.getElementById("desc_oferta["+donde+"]").value)!=0)
	         {
			 document.getElementById("desc["+donde+"]").value=Number(document.getElementById("desc_oferta["+donde+"]").value);  
			 }
        }
		
	
    if ((document.getElementById("descuento_cliente").value)!=0 && (document.getElementById("descuento_cliente").value)!='S') 
	  
		{
		var desx=Number((1-((1-Number(document.getElementById("desc_oferta["+donde+"]").value)/100)*(1-Number(document.getElementById("descuento_cliente").value)/100)))*100).toFixed(2);
		     document.getElementById("desc["+donde+"]").value= parseInt (1000*desx)/1000;	
		}
	} */
   }
			

function modifica_desc(donde)
	{
	var desc		
	 desc = document.getElementById("desc["+donde+"]").value; 
	 calculo_desc(donde);
 if ((document.getElementById("descuento_cliente").value)!='N')		  
	{
  if ((document.getElementById("descuento_cliente").value)=='S')     
	 {
	 if (Number(desc)>=Number(document.getElementById("desc_oferta["+donde+"]").value))
	         {
			document.getElementById("desc["+donde+"]").value = Number(document.getElementById("desc_oferta["+donde+"]").value); 
			 calculo_desc(donde);
			 }
     } 
		
   else
   
	 {
	  if (Number(desc)>=((1-((1-Number(document.getElementById("desc_oferta["+donde+"]").value)/100)*(1-Number(document.getElementById("descuento_cliente").value)/100)))*100))
	    {
		var desx=Number((1-((1-Number(document.getElementById("desc_oferta["+donde+"]").value)/100)*(1-Number(document.getElementById("descuento_cliente").value)/100)))*100).toFixed(2);
	      document.getElementById("desc["+donde+"]").value = parseInt (1000*desx)/1000;
		  
		   calculo_desc(donde);
	    }	
	  }
	
	 }
	} 
		
function calculo_desc(donde)
	{
	var cantidad, kilos, precio, desc, peso, total, tkilos, stot, i, totaluno, totaltot, j, f1, f2, letra, result,jsi, jsuser;
	
	precio = document.getElementById("precio["+donde+"]").value;
	
	cantidad = document.getElementById("cantidad["+donde+"]").value;
	
	if (cantidad!='' )
		{
	
		if (cantidad >= 0 && precio >0)
			{
		
		
  desc=document.getElementById("desc["+donde+"]").value;
  result = Number(cantidad)*Number(precio)*(1-Number(desc)/100);
		 
				if ( (result - parseInt(result)) >=.5 )
					{
						result = parseInt(result) + 1 ;
					}
				 else
		 			{
		 				result = parseInt(result);
		 			}
				document.getElementById("total["+donde+"]").value=result;
	
	
	
			total=0;
			tkilos=0;	
			for (i=0; i<<?=count($datos)?>; i++)
				{ kilos=0;
				stot=document.getElementById("total["+i+"]").value;
				cantidad=Number(document.getElementById("cantidad["+i+"]").value);
				peso=Number(document.getElementById("peso["+i+"]").value);
				if (cantidad>=0 && peso>=0) kilos=cantidad*peso;
				if (stot>0)
					{
					total=Number(total) + Number(stot);
					}
				if (kilos>0)
					{
					tkilos=Number(tkilos) + Number(kilos);					
					}	
					
				}
				document.form1.txtst.value=total;
				document.form1.desc_pronto.value=0;
				document.form1.totales.value=total;
			    document.form1.totalesciva.value=(total*1.19).toFixed(0);
				document.form1.totalkilos.value=tkilos;
			}
		
		}
	
	}
	
	
function modifica_desc_pronto()
{
var desc, desc_pronto, sub_total, total, par_pronto;
	
	desc = document.getElementById("pronto").value;
	par_pronto=<?=$par_pronto?>;
	if (desc>=par_pronto*100)
	 {desc=par_pronto*100;
	  document.form1.pronto.value=desc;
	 }
	
    sub_total = document.getElementById("txtst").value;
               desc_pronto=(sub_total*desc/100);
      if ( (desc_pronto - parseInt(desc_pronto)) >=.5 ) {desc_pronto= parseInt(desc_pronto) + 1 ;}
				 else {desc_pronto = parseInt(desc_pronto);}
				
				
				document.form1.desc_pronto.value=desc_pronto;
				document.form1.totales.value=sub_total-desc_pronto;
}	
	
	
function fun_editar()
{
var nota=document.form1.id_nota.value;

if(nota!=0)
  {
    document.form1.action="editar.php?id="+nota;
	document.form1.target="_blank";
	document.form1.submit();
	
  }
 }
		
</script>
